1. iMore.com's Avatar
    To jailbreak a Nintendo Switch right now, it needs to be running on the older 3.0.0 operating system. There are still units in the wild that haven't been updated if you know how to look.

    Full story from the iMore Blog...
    03-03-2018 12:10 PM

Similar Threads

  1. Should I upgrade from 6s to phone 8
    By Andski1980 in forum Ask a Question
    Replies: 11
    Last Post: 03-07-2018, 03:07 PM
  2. Swapping phones with watch
    By fleeper in forum Apple Watch
    Replies: 2
    Last Post: 03-04-2018, 06:25 AM
  3. Replies: 0
    Last Post: 03-03-2018, 11:40 AM
  4. Happy anniversary to Legend of Zelda: Breath of the Wild!
    By iMore.com in forum iMore.com News Discussion
    Replies: 0
    Last Post: 03-03-2018, 10:40 AM
  5. How to use action and share extensions on iPhone and iPad
    By iMore.com in forum iMore.com News Discussion
    Replies: 0
    Last Post: 03-03-2018, 08:10 AM
LINK TO POST COPIED TO CLIPBOARD